Jump to content

MediaWiki:Common.css

From Flerf Wiki
Revision as of 13:16, 4 May 2026 by ICSpin (talk | contribs) (Slightly larger pixel blocks and reduced blur)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* NSFW spoiler - chunky pixelated blocks until mouse moves over image */
.spoiler-img {
    display: table;
    overflow: hidden;
}
.spoiler-img img {
    filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='pixelate' x='0' y='0'><feFlood x='4' y='4' height='2' width='2'/><feComposite width='28' height='28'/><feTile result='a'/><feComposite in='SourceGraphic' in2='a' operator='in'/><feMorphology operator='dilate' radius='14'/></filter></svg>#pixelate") blur(2px);
    transition: filter 0.3s;
    cursor: pointer;
}
.spoiler-img.revealed img {
    filter: none;
}